with
<WITH>
select 
	index_groupe,
	numero_id,
	nb_com,
	nb_liste,
	nb_identite
from (
	select
		index_groupe,
		numero_id,
		count(numero_id) over(partition by numero_id) as occurences,
		sum(nb_com) as nb_com,
		sum(nb_liste) as nb_liste,
		sum(nb_identite) as nb_identite
	from (
		<UNION>
	) as u 
	group by index_groupe, numero_id
) as v
where occurences > 1