SELECT e.event_id as id, rank() OVER (PARTITION BY 
        e.horodatage, e.duree, e.titre, e.description, e.adresse, e.codePostal, e.ville, e.region, e.codePays, 
        e.geoLat, e.geoLong, e.pertinence, e.type, e.vitesse, e.cap, e.origine, e.deleted
        ORDER BY 
        e.horodatage, e.duree, e.titre, e.description, e.adresse, e.codePostal, e.ville, e.region, e.codePays, 
        e.geoLat, e.geoLong, e.pertinence, e.type, e.vitesse, e.cap, e.origine, e.deleted, e.event_id) as rank
FROM <SCHEMA>.Event e 
WHERE e.requisition_id=:reqId
