SELECT num_id,
SUM(d) AS dureeTotale,
SUM(msg) AS msgTotal
FROM
(
      SELECT num_id,
      SUM(CASE WHEN d is null THEN 0 ELSE d END) AS d,
      0 AS msg
      FROM 
      ( SELECT distinct c.com_id as com_id, p.numero_id AS num_id, c.duree as d 
        FROM <SCHEMA>.communication c
        join <SCHEMA>.communicationparticipant p on (p.com_id = c.com_id)
        WHERE p.numero_id IS NOT NULL
        AND c.type in (:duration_types)
        WHERE_FILTER
       ) zzz
      GROUP BY num_id
   UNION ALL
      SELECT numero_id AS num_id,
      0 AS d,
      count(distinct c.com_id) AS msg
      FROM <SCHEMA>.communication c
      join <SCHEMA>.communicationparticipant p on (p.com_id = c.com_id)
      WHERE p.numero_id IS NOT NULL
      AND c.type in (:message_types)
      WHERE_FILTER
      GROUP BY p.numero_id
) zz
GROUP BY zz.num_id
ORDER BY dureeTotale DESC, msgTotal DESC