SELECT num_id,
SUM(d) AS dureeTotale,
SUM(msg) AS msgTotal
FROM
(
      SELECT num_id,
      SUM(CASE WHEN d is null THEN 0 ELSE d END) AS d,
      0 AS msg
      FROM 
      ( SELECT distinct c.com_id as com_id, p.numero_id AS num_id, c.duree as d 
        FROM
        <SCHEMA>.communication c
        join <SCHEMA>.communicationparticipant p on (p.com_id = c.com_id)
        join <SCHEMA>.communicationparticipant p2 on (p2.com_id = c.com_id)
        WHERE p.numero_id IS NOT NULL
        AND c.type in (:duration_types)
        AND p2.compart_id != p.compart_id 
        AND p2.numero_id = :numeroId
        SCOPE_FILTER 
       ) zz
      GROUP BY num_id
   UNION ALL
      SELECT num_id,
      0 AS d,
      count(1) AS msg
      FROM 
      ( SELECT distinct c.com_id as com_id, p.numero_id AS num_id
        FROM <SCHEMA>.communication c
        join <SCHEMA>.communicationparticipant p on (p.com_id = c.com_id)
        join <SCHEMA>.communicationparticipant p2 on (p2.com_id = c.com_id)
        WHERE p.numero_id IS NOT NULL
        AND c.type in (:message_types)
        AND p2.compart_id != p.compart_id 
        AND p2.numero_id = :numeroId
        SCOPE_FILTER 
      ) zz 
      GROUP BY num_id
) zz
GROUP BY zz.num_id
ORDER BY dureeTotale DESC, msgTotal DESC