SELECT imi, r_id, nbcom, nbid, nbel
FROM 
(  SELECT imi, r_id, nbcom, nbid, nbel, count(r_id) over (partition by imi order by imi) as nb_requisition
   FROM 
   (
     SELECT imi, r_id, sum(nbc) as nbcom, sum(nbi) as nbid, sum(nbl) as nbel
     FROM 
     (
	    <COM>       
    	(
    	SELECT p.<IMI_COM> as imi, p.requisition_id as r_id, count(distinct p.com_id) as nbc, 0 as nbi , 0 as nbl 
    	FROM <SCHEMA>.communicationparticipant p <COM_JOIN>join <SCHEMA>.communication c on (p.com_id = c.com_id)</COM_JOIN> 
    	WHERE <COM_SCOPE_FILTER> 
    	AND p.<IMI_COM> is not null
    	GROUP BY p.<IMI_COM>, p.requisition_id
    	)
    	</COM>
    	<UNION1>UNION</UNION1>   
    	<IDENTITY>
    	(     
        SELECT i.<IMI_IDT> as imi, i.requisition_id as r_id, 0 as nbc, count(i.identite_id) as nbi, 0 as nbl
    	FROM 
    	<SCHEMA>.identite i
    	WHERE <IDENTITY_SCOPE_FILTER>
    	AND i.<IMI_IDT> is not null
    	GROUP BY i.<IMI_IDT>, i.requisition_id
    	)   
    	</IDENTITY>     
    	<UNION2>UNION</UNION2> 
    	<LIST>  
    	(
        SELECT el.<IMI_EL> as imi, el.requisition_id as r_id,  0 as nbc, 0 as nbi, count(el.elementliste_id) as nbl
	    FROM <SCHEMA>.elementliste el
	    WHERE <LIST_SCOPE_FILTER> 
	    and el.<IMI_EL> is not null
    	GROUP BY el.<IMI_EL>, el.requisition_id
	    )
	    </LIST>    
  	) zz1
    GROUP BY imi, r_id
   ) zz2
) zz3  
WHERE nb_requisition > 1
ORDER BY imi
