select count(distinct com_id) as nb, min(horodatage) as mindate, max(horodatage) as maxdate, relais_id, numero_id
from ( 
  select c.com_id as com_id, c.horodatage as horodatage, p.relaisdebut_id as relais_id, p.numero_id as numero_id 
  from <SCHEMA>.communicationparticipant p join <SCHEMA>.communication c on p.com_id = c.com_id  
  where p.numero_id is not null
  and (p.relaisdebut_id in (:relaisid))
  <SCOPE_FILTER>
UNION
  select c.com_id as com_id, c.horodatage as horodatage, p.relaisfin_id as relais_id, p.numero_id as numero_id 
  from <SCHEMA>.communicationparticipant p join <SCHEMA>.communication c on p.com_id = c.com_id  
  where p.numero_id is not null
  and (p.relaisfin_id in (:relaisid))
  <SCOPE_FILTER>) zz
group by numero_id, relais_id
order by nb DESC