SELECT  {n.*}, r_id, nbcom, nbid, nbel
FROM 
(  SELECT n_id, r_id, nbcom, nbid, nbel, count(1) OVER (PARTITION BY n_id) as nb_item 
   FROM 
   (
     SELECT n_id, r_id, sum(nbc) as nbcom, sum(nbi) as nbid, sum(nbl) as nbel
     FROM 
     (
       <COM>     
       SELECT p.numero_id as n_id, p.requisition_id as r_id, count(distinct p.com_id) as nbc, 0 as nbi , 0 as nbl 
       FROM <SCHEMA>.communicationparticipant p <COM_JOIN>join <SCHEMA>.communication c on (p.com_id = c.com_id)</COM_JOIN>
       WHERE 
       <COM_SCOPE_FILTER> 
       AND p.numero_id is not null
       GROUP BY p.numero_id, p.requisition_id
       </COM>     
       <UNION1>UNION</UNION1>   
       <IDENTITY>     
       SELECT i.numero_id as n_id, i.requisition_id as r_id, 0 as nbc, count(i.identite_id) as nbi, 0 as nbl
       FROM 
       <SCHEMA>.identite i
       WHERE <IDENTITY_SCOPE_FILTER>
       AND i.numero_id is not null
       GROUP BY i.numero_id, i.requisition_id
       </IDENTITY>     
       <UNION2>UNION</UNION2> 
       <LIST>  
       SELECT el.numero_id as n_id, el.requisition_id as r_id,  0 as nbc, 0 as nbi, count(el.elementliste_id) as nbl
       FROM <SCHEMA>.elementliste el 
       WHERE <LIST_SCOPE_FILTER>
       AND el.numero_id is not null
       GROUP BY el.numero_id, el.requisition_id
       </LIST>  
     ) zz1
     GROUP BY n_id, r_id
   ) zz2
) zz3, 
<SCHEMA>.numero n
where nb_item <OPERATOR> 1
and n.numero_id = n_id
   