SELECT
  nbc,
  nbl,
  relais_id,
  requisition_id
FROM (
  SELECT
    count(distinct com_id) as nbc,
    sum(nbl) as nbl,
    relais_id as relais_id,
    requisition_id as requisition_id,
    count(requisition_id) over (partition by relais_id order by relais_id) as nb_requisition
  FROM 
  (
    <COM>       
    (
    SELECT p.com_id as com_id,
    0 as nbl,
    p.relaisdebut_id as relais_id,
    p.requisition_id as requisition_id
    FROM <SCHEMA>.communicationparticipant p <COM_JOIN>join <SCHEMA>.communication c on (p.com_id = c.com_id)</COM_JOIN>
    WHERE <COM_SCOPE_FILTER>  
    and p.relaisdebut_id is not null
    )
    UNION ALL
    (
    SELECT p.com_id as com_id,
    0 as nbl,
    p.relaisfin_id as relais_id,
    p.requisition_id as requisition_id
    FROM <SCHEMA>.communicationparticipant p <COM_JOIN>join <SCHEMA>.communication c on (p.com_id = c.com_id)</COM_JOIN>
    WHERE <COM_SCOPE_FILTER>  
    and p.relaisfin_id is not null
    )
    </COM>       
   	<UNION>UNION</UNION> 
   	<LIST>  
    SELECT null as com_id,
    count(el.elementliste_id) as nbl,
    el.relais_id as relais_id, 
    el.requisition_id as requisition_id
	FROM <SCHEMA>.elementliste el
	WHERE <LIST_SCOPE_FILTER> 
	and el.relais_id is not null
    GROUP BY el.relais_id, el.requisition_id
    </LIST>        
  ) zz
  GROUP BY zz.relais_id, zz.requisition_id) zz
WHERE nb_requisition > 1
ORDER BY relais_id