select
    cp.numero_id as numeroId,
    <ForIMI> as relatedImi,
    count(c.com_id) as inNbRequisitions,
    min(c.horodatage) as firstUsage,
    max(c.horodatage) as lastUsage
from <SCHEMA>.communicationparticipant cp join <SCHEMA>.communication c on cp.com_id = c.com_id
where cp.numero_id = :numberId and cp.<ForIMI> IS NOT NULL and (:referential=1 or cp.requisition_id in (:reqIds))
group by cp.numero_id, <ForIMI>