select
    <ForIMI> as imi,
    cp.numero_id as relatedNumeroId,
    count(c.com_id) as inNbRequisitions,
    min(c.horodatage) as firstUsage,
    max(c.horodatage) as lastUsage
from <SCHEMA>.communicationparticipant cp join <SCHEMA>.communication c on cp.com_id = c.com_id
where cp.<ForIMI> = :imi and cp.numero_id IS NOT NULL and (:referential=1 or cp.requisition_id in (:reqIds))
group by <ForIMI>, cp.numero_id