select nb, mindate, maxdate, numero_id, imei
from (
    select count(c.com_id) as nb, min(c.horodatage) as mindate, max(c.horodatage) as maxdate, imei, numero_id,
           count(imei) over (partition by numero_id order by numero_id) as nbimei
    from <SCHEMA>.communicationparticipant p join <SCHEMA>.communication c on p.com_id = c.com_id
    where p.imei is not null
    <SCOPE_FILTER>
	<FILTER>
    and p.numero_id is not null
    group by imei, numero_id
) zz
where nbimei > 1
order by numero_id, imei