select nb, mindate, maxdate, <FIELD1> as imi, <FIELD2> as relatedImi
from (
	select count(c.com_id) as nb, min(c.horodatage) as mindate, max(c.horodatage) as maxdate, <FIELD1>, <FIELD2>, 
		   count(<FIELD2>) over (partition by <FIELD1> order by <FIELD1>) as nbOcc
	from <SCHEMA>.communicationparticipant p join <SCHEMA>.communication c on p.com_id = c.com_id  
	where p.<FIELD2> is not null
	<SCOPE_FILTER>
	<FILTER>
	and p.<FIELD1> is not null
	group by <FIELD1>, <FIELD2>
) zz
where nbOcc > 1
order by <FIELD1>, <FIELD2>