select nb, mindate, maxdate, imei, numero_id
from (
	select count(c.com_id) as nb, min(c.horodatage) as mindate, max(c.horodatage) as maxdate, imei, numero_id, 
	       count(numero_id) over (partition by imei order by imei) as nbnumero
	from <SCHEMA>.communicationparticipant p join <SCHEMA>.communication c on p.com_id = c.com_id  
	where p.numero_id is not null
	<SCOPE_FILTER>
	<FILTER>
	and p.imei is not null
	group by imei, numero_id
) zz
where nbnumero > 1
order by imei, numero_id