SELECT nb, ssid, requisition_id
FROM
  (SELECT
    count(e.event_id) as nb,
    titre as ssid,
    requisition_id as requisition_id,
    count(requisition_id) over (partition by titre order by titre) as nb_requisition
  FROM <SCHEMA>.Event e
  WHERE <EVT_SCOPE_FILTER>   
  and e.titre is not null
  GROUP BY e.titre, e.requisition_id) zz
WHERE nb_requisition > 1 
ORDER BY ssid
