with
<WITH>
select 
	index_groupe,
	field,
	pays,
	nb_com,
	nb_liste,
	nb_identite,
	nb_anpr
from (
	select
		index_groupe,
		field,
		pays,
		count(field) over(partition by field) as occurences,
		sum(nb_com) as nb_com,
		sum(nb_liste) as nb_liste,
		sum(nb_identite) as nb_identite,
		sum(nb_anpr) as nb_anpr
	from (
		<UNION>
	) as u 
	group by index_groupe, field, pays
) as v
where occurences > 1