SELECT  imi,
        r_id,
        sum(nbc) as nbcom, 
        sum(nbi) as nbid, 
        sum(nbl) as nbel
FROM (
  SELECT p.<ATTRIBUT> as imi, p.requisition_id as r_id, count(distinct p.com_id) as nbc, 0 as nbi , 0 as nbl 
  FROM <SCHEMA>.communicationparticipant p
  WHERE p.requisition_id IN (:reqIds)
    AND p.<ATTRIBUT> IN (:imis)
  GROUP BY p.<ATTRIBUT>, p.requisition_id
  UNION   
  SELECT i.<ATTRIBUT> as imi, i.requisition_id as r_id,  0 as nbc, count(i.identite_id) as nbi, 0 as nbl
  FROM <SCHEMA>.identite i
  WHERE i.requisition_id in (:reqIds)
  AND i.<ATTRIBUT> in (:imis)
  GROUP BY i.<ATTRIBUT>, i.requisition_id
  UNION
  SELECT el.<ATTRIBUT> as imi, el.requisition_id as r_id, 0 as nbc, 0 as nbi, count(el.elementliste_id) as nbl
  FROM <SCHEMA>.elementliste  el
  WHERE el.requisition_id IN (:reqIds)
  AND el.<ATTRIBUT> IN (:imis)
  GROUP BY el.<ATTRIBUT>, el.requisition_id
) zz
group by imi, r_id
order by imi, r_id