SELECT  immat, code_pays_immat,
        r_id,
        sum(nbA) as nbanprrecord,
        sum(nbi) as nbid,
        sum(nbl) as nbel
FROM (
  SELECT a.immat as immat, a.code_pays_immat as code_pays_immat, a.requisition_id as r_id, count(distinct a.anprrecord_id) as nbA, 0 as nbi , 0 as nbl
  FROM <SCHEMA>.anprrecord a
  WHERE a.requisition_id IN (:reqIds)
    AND a.immat IN (:immats)
  GROUP BY a.immat, a.code_pays_immat, a.requisition_id
  UNION   
  SELECT i.immat as immat, i.code_pays_immat as code_pays_immat, i.requisition_id as r_id,  0 as nbA, count(i.identite_id) as nbi, 0 as nbl
  FROM <SCHEMA>.identite i
  WHERE i.requisition_id in (:reqIds)
     AND i.immat in (:immats)
  GROUP BY i.immat, i.code_pays_immat, i.requisition_id
  UNION
  SELECT el.immat as immat, el.code_pays_immat as code_pays_immat, el.requisition_id as r_id, 0 as nbA, 0 as nbi, count(el.elementliste_id) as nbl
  FROM <SCHEMA>.elementliste  el
  WHERE el.requisition_id IN (:reqIds)
    AND el.immat in (:immats)
  GROUP BY el.immat, el.code_pays_immat, el.requisition_id
) zz
group by immat, code_pays_immat, r_id
order by immat, code_pays_immat, r_id