SELECT numero_id,
    horodatage,
    duree,
    sens
FROM     
( 
SELECT distinct c.com_id as com_id,
    p.numero_id as numero_id,
    c.horodatage as horodatage,
    coalesce(c.duree,0) as duree,
    c.sens as sens
FROM <SCHEMA>.communicationparticipant p join <SCHEMA>.communication c on (p.com_id = c.com_id)
WHERE p.numero_id is not null
      WHERE_FILTER
) zz      
ORDER BY numero_id,com_id
