SELECT relais_id,
horodatage,
duree
FROM
(
  SELECT distinct relais_id, horodatage, duree, cid
  FROM
  (
  <DEBUT>
      SELECT p.relaisdebut_id AS relais_id,
      c.horodatage as horodatage,
      coalesce(c.duree,0) as duree,
      c.com_id as cid
      FROM <SCHEMA>.communication c join <SCHEMA>.communicationparticipant p on (p.com_id = c.com_id)
      WHERE p.relaisdebut_id is not null
      ROLE_FILTER_DEBUT
      NUMERO_FILTER
      TIME_CRITERIA_FILTER
      SCOPE_FILTER
      COM_INEXACT_FILTER
  </DEBUT>
  <UNION>UNION ALL</UNION>
  <FIN>   
      SELECT p.relaisfin_id AS relais_id,
      c.horodatage as horodatage,
      coalesce(c.duree,0) as duree,
      c.com_id as cid
      FROM <SCHEMA>.communication c join <SCHEMA>.communicationparticipant p on (p.com_id = c.com_id)
      WHERE p.relaisfin_id is not null
      ROLE_FILTER_FIN
      NUMERO_FILTER
      TIME_CRITERIA_FILTER
      SCOPE_FILTER
      COM_INEXACT_FILTER
  </FIN>
  ) zz1
) zz2
order by relais_id, horodatage, duree