SELECT immat, code_pays_immat, r_id, nbanprrecord, nbid, nbel
FROM 
(  SELECT immat, code_pays_immat, r_id, nbanprrecord, nbid, nbel, count(r_id) over (partition by immat) as nb_requisition
   FROM 
   (
     SELECT immat, code_pays_immat, r_id, sum(nba) as nbanprrecord, sum(nbi) as nbid, sum(nbl) as nbel
     FROM 
     (
	    <ANPR_RECORD>       
    	(
    	SELECT a.immat as immat, a.code_pays_immat as code_pays_immat, a.requisition_id as r_id, count(distinct a.anprrecord_id) as nba, 0 as nbi , 0 as nbl 
    	FROM <SCHEMA>.anprrecord a 
    	WHERE <ANPR_SCOPE_FILTER> 
    	GROUP BY a.immat, a.code_pays_immat,  a.requisition_id
    	)
    	</ANPR_RECORD>
    	<UNION1>UNION</UNION1>   
    	<IDENTITY>
    	(     
        SELECT i.immat as immat, i.code_pays_immat as code_pays_immat, i.requisition_id as r_id, 0 as nba, count(i.identite_id) as nbi, 0 as nbl
    	FROM 
    	<SCHEMA>.identite i
    	WHERE <IDENTITY_SCOPE_FILTER>
    	AND i.immat is not null
    	GROUP BY i.immat, i.code_pays_immat, i.requisition_id
    	)   
    	</IDENTITY>     
    	<UNION2>UNION</UNION2> 
    	<LIST>  
    	(
        SELECT el.immat as immat, el.code_pays_immat as code_pays_immat, el.requisition_id as r_id,  0 as nba, 0 as nbi, count(el.elementliste_id) as nbl
	    FROM <SCHEMA>.elementliste el
	    WHERE <LIST_SCOPE_FILTER> 
	    and el.immat is not null
    	GROUP BY el.immat, el.code_pays_immat, el.requisition_id
	    )
	    </LIST>    
  	) zz1
    GROUP BY immat, code_pays_immat, r_id
   ) zz2
) zz3  
WHERE nb_requisition > 1
ORDER BY immat, code_pays_immat
