select EXTRACT(EPOCH from other.horodatage - target.horodatage) as delta,
       other.immat as immat, 
       other.code_pays_immat as code_pays_immat, 
       other.requisition_id as requisition_id,
       other.anprrecord_id as other_id, 
       target.anprrecord_id as target_id 
from <SCHEMA>.AnprRecord other, <SCHEMA>.AnprRecord target 
where target.immat = :immat
  <IMMAT_COUNTRY_FILTER>
  and other.immat != target.immat
  and abs(EXTRACT(EPOCH from other.horodatage - target.horodatage)) < :deltaS 
  and other.requisition_id = target.requisition_id
  and <SCOPE_FILTER>
order by other.immat, other.code_pays_immat
