SELECT distinct n1_id, n1_numero, n2_id, n2_numero
FROM
(
  <COM>     
  SELECT n1.numero_id as n1_id, n1.numero as n1_numero, n2.numero_id as n2_id, n2.numero as n2_numero
  FROM
   <SCHEMA>.Numero n1, <SCHEMA>.Numero n2, <SCHEMA>.communicationparticipant p <COM_JOIN>join <SCHEMA>.communication c on (p.com_id = c.com_id)</COM_JOIN>
  WHERE p.numero_id = n2.numero_id 
  AND <N1_SIMILAR_TO_N2>
  <NUMBER_TYPE>
  AND n1.numero_id != n2.numero_id
  AND n1.numero_id in (:numeroIds)
  AND <COM_SCOPE_FILTER> 
  </COM>     
  <UNION1>UNION</UNION1>   
  <LIST>  
  SELECT n1.numero_id as n1_id, n1.numero as n1_numero, n2.numero_id as n2_id, n2.numero as n2_numero
  FROM
   <SCHEMA>.Numero n1, <SCHEMA>.Numero n2, <SCHEMA>.elementliste el
  WHERE el.numero_id = n2.numero_id 
  AND <N1_SIMILAR_TO_N2>
  <NUMBER_TYPE>
  AND n1.numero_id != n2.numero_id
  AND n1.numero_id in (:numeroIds)
  AND <LIST_SCOPE_FILTER>
  </LIST>  
  <UNION2>UNION</UNION2> 
  <IDENTITY>     
  SELECT n1.numero_id as n1_id, n1.numero as n1_numero, n2.numero_id as n2_id, n2.numero as n2_numero
  FROM
   <SCHEMA>.Numero n1, <SCHEMA>.Numero n2, <SCHEMA>.identite i
  WHERE i.numero_id = n2.numero_id 
  AND <N1_SIMILAR_TO_N2>
  <NUMBER_TYPE>
  AND n1.numero_id != n2.numero_id
  AND n1.numero_id in (:numeroIds)
  AND <IDENTITY_SCOPE_FILTER>
  </IDENTITY>     
) zz
