SELECT nb, site, requisition_id
FROM
  (SELECT
    count(nw.navweb_id) as nb,
    site as site,
    requisition_id as requisition_id,
    count(requisition_id) over (partition by site order by site) as nb_requisition
  FROM <SCHEMA>.NavigationWeb nw
  WHERE <WEB_SCOPE_FILTER>   
  and nw.site is not null
  GROUP BY nw.site, nw.requisition_id) zz
WHERE nb_requisition > 1 
ORDER BY site
